// libGnochon version 140204
//Cette version permet d'externaliser l'appel des fonction millis() et micros()
// Bonjour, voici ma petite librairie contenant une minuterie par milisecondes BlocTON(struct TON *pDATA)
// ,une par microsecondes BlocTON_Micros(struct TON_Micros *pDATA)
// et un détecteur de front sur un booleen BlocFront(struct FRONT *pDATA).
// Voir plus bas pour les explications.
// Tout ceci est sous licence CC BY-NC-SA 4.0 http://creativecommons.org/licenses/by-nc-sa/4.0/
// pour me poser des questions, proposer des améliorations ou dire bonjour: gnochon@gmail.com

#ifndef libGnochon_h
#define libGnochon_h

#include "Arduino.h"

void BlocTON(struct TON *pDATA);				 // Minuterie qui compte en milisecondes
void BlocTON_Micros(struct TON_Micros *pDATA);// Minuterie qui compte en microsecondes
void BlocFront(struct FRONT *pDATA);			// Détecteur de front sur booleen

#endif